Summary:	Hitori puzzle game for GNOME
Summary(pl.UTF-8):	Hitori - układanka logiczna dla GNOME
Name:		hitori
Version:	3.38.3
Release:	1
License:	GPL v3+
Group:		X11/Applications/Games
Source0:	https://download.gnome.org/sources/hitori/3.38/%{name}-%{version}.tar.xz
# Source0-md5:	2d5a56504639be4e12ae6606b7ba4e96
URL:		https://wiki.gnome.org/Apps/Hitori
BuildRequires:	appstream-glib
BuildRequires:	cairo-devel >= 1.4
BuildRequires:	desktop-file-utils
BuildRequires:	gettext-tools >= 0.19.8
# -std=gnu11
BuildRequires:	gcc >= 6:4.7
BuildRequires:	glib2-devel >= 1:2.32.0
BuildRequires:	gtk+3-devel >= 3.22.0
BuildRequires:	meson >= 0.48.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	glib2 >= 1:2.32.0
Requires(post,postun):	gtk-update-icon-cache
Requires:	glib2 >= 1:2.32.0
Requires:	gtk+3 >= 3.22.0
Requires:	hicolor-icon-theme >= 0.15
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Hitori is a small application written to allow one to play the
eponymous puzzle game, which is similar in theme to more popular
puzzles such as Sudoku.

%description -l pl.UTF-8
Hitori to mała aplikacja pozwalająca na grę w tytułową układankę
logiczną - bardzo podobną tematycznie do bardziej popularnych, takich
jak Sudoku.

%prep
%setup -q

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS MAINTAINERS NEWS README.md
%attr(755,root,root) %{_bindir}/hitori
%{_datadir}/glib-2.0/schemas/org.gnome.hitori.gschema.xml
%{_datadir}/metainfo/org.gnome.Hitori.appdata.xml
%{_desktopdir}/org.gnome.Hitori.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Hitori.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Hitori-symbolic.svg
%changelog
* Fri Sep 17 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/hitori.git;a=log;h=master

* Fri Sep 17 2021 Jakub Bogusz <qboosh@pld-linux.org> b8a0638
- updated to 3.38.3

* Sun May 30 2021 Jakub Bogusz <qboosh@pld-linux.org> c804fcc
- updated to 3.38.2

* Fri Mar 05 2021 Jakub Bogusz <qboosh@pld-linux.org> b4102fa
- updated to 3.38.1

* Thu Sep 10 2020 Jakub Bogusz <qboosh@pld-linux.org> ac6868e
- updated to 3.38.0

* Mon Apr 27 2020 Jakub Bogusz <qboosh@pld-linux.org> 4b084f1
- updated to 3.36.0

* Wed Oct 30 2019 Jakub Bogusz <qboosh@pld-linux.org> 5f7fa5a
- updated to 3.34.0

* Thu Aug 29 2019 Jakub Bogusz <qboosh@pld-linux.org> 8e9818c
- updated to 3.32.0; uses meson now

* Sun Apr 21 2019 Jakub Bogusz <qboosh@pld-linux.org> 3d764fd
- updated to 3.22.4

* Fri May 26 2017 Jakub Bogusz <qboosh@pld-linux.org> 2d2afa1
- updated to 3.22.3

* Sun Feb 19 2017 Jakub Bogusz <qboosh@pld-linux.org> 25d171c
- updated to 3.22.1

* Fri Jan 27 2017 Jakub Bogusz <qboosh@pld-linux.org> 26d365a
- updated to 3.22.0

* Sun Nov 22 2015 Jakub Bogusz <qboosh@pld-linux.org> 931711d
- updated to 3.16.2

* Sat May 09 2015 Jakub Bogusz <qboosh@pld-linux.org> b5f1ad6
- updated to 3.16.1

* Thu Dec 25 2014 Jakub Bogusz <qboosh@pld-linux.org> fda591c
- updated more dependencies

* Wed Dec 24 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 968fb36
- Update to 3.14.2.1

* Mon Jul 14 2014 Jakub Bogusz <qboosh@pld-linux.org> 817a5b1
- updated to 0.4.5

* Sun Jun 22 2014 Jakub Bogusz <qboosh@pld-linux.org> 8730de2
- new

